List all Security Reference Records

Returns a list of normalized custodian reported securities enriched with Intrinio Market data for a provided reported_date

Example Records

Below is an example of two security records reported by Schwab, the first is a standard AAPL stock and below that
is an AAPL option. Option records will have additional data points populated that provided specific information about
the option as reported by the custodian.

[
  {
    "reported_date": "2024-07-10",
    "source": "SWB",
    "cusip": "037833100",
    "symbol": "AAPL",
    "description": "APPLE INC ",
    "security_type": "COM",
    "security_type_description": "COMMON STOCK",
    "option_root_symbol": "",
    "option_expiration_date": "",
    "option_code": "",
    "strike_price_amount": 0,
    "market_data": {
        "symbol": "AAPL",
        "description": "Apple Inc",
        "figi": "BBG000B9Y5X2",
        "composite_figi": "BBG000B9XRY4",
        "security_type": "Ordinary Shares",
        "security_code": "EQS",
        "security_code_description": "Equity Shares"
    }
  },
  {
    "reported_date": "2024-07-10",
    "source": "SWB",
    "cusip": "",
    "symbol": "AAPL",
    "description": "CALL APPLE INC $195        EXP 09/19/25",
    "security_type": "OEQ",
    "security_type_description": "EQUITY OPTION",
    "option_root_symbol": "AAPL",
    "option_expiration_date": "2025-09-19",
    "option_code": "C",
    "strike_price_amount": 195,
    "market_data": {
        "symbol": "AAPL",
        "description": "Apple Inc",
        "figi": "BBG000B9Y5X2",
        "composite_figi": "BBG000B9XRY4",
        "security_type": "Ordinary Shares",
        "security_code": "EQS",
        "security_code_description": "Equity Shares"
    }
  }
]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
date
required

The reported date of custodian provided securities. This field is required.

Responses

Language
Credentials
Bearer
Bearer
LoadingLoading…
Response
Choose an example:
application/json